#!/usr/bin/php
<?


#Script to poll the download queue for the latest file
#to transcode and transcode it.

#Just a wrapper, all the heavy lifting is done in transfer.inc.

#Change to the directory we are running from so we properly include other files
chdir( dirname( $_SERVER['SCRIPT_FILENAME'] ) );

include_once( "../sync/transfer.inc" );
include_once( "transcode.inc" );
include_once( "../sync/config.inc" );

$source = ISUMA_ROOT . "/media/";
$destination = ISUMA_ROOT . "/media/";
$queuename = "transcode";

// get the lockfile early so that network errors below will not stack up
acquire_lockfile() or trigger_error( "Lockfile creation failed. Held by another process.", E_USER_ERROR );

#delete any files which correspond to unpublished nodes in the file queue
#to avoid name collisions
deleteunpublished( XMLRPC_SERVER, $source, "file" );

#Set source to null since the library fetches it with getamazonurl
transcode( XMLRPC_SERVER, $source, $destination, $queuename );

exit_successfully();
