#!/usr/bin/php
<?

#Just gets a list of all published files in a queue.
#Usage: getqueue.php queuename

include "transfer.inc";

if( $argc < 2 ){
  print( "Usage: getqueue.php queuename [offset] [count]\n" );
  exit;
}

if( $argc >= 3 ){
  $offset = $argv[2];
}

if( $argc >= 4 ){
  $count = $argv[3];
}else{
  $count = 5;
}

print "offset = $offset and count = $count \n";

$queue = getqueue( XMLRPC_SERVER, $argv[1], $offset, $count );

ksort($queue);

foreach( $queue as $pos => $file ){
  print ( "Item " . $pos . ":\n" );
  print_r( $file ); 
}


?>
